/******************************************************************************
 The computer software and associated documentation called DOMAK hereinafter
 referred to as the WORK which is more particularly identified and described in
 Appendix A of the file LICENSE.  Conditions and restrictions for use of
 this package are also in this file.

 This routine was developed by Robert B. Russell

 The WORK is Copyright (1995) R. B. Russell and G. J. Barton

 All use of the WORK must cite:
 Siddiqui, A. S. and Barton, G. J., "Continuous and Discontinuous Domains: An
 Algorithm for the Automatic Generation of Reliable Protein Domain Definitions" 
 PROTEIN SCIENCE, 4:872-884 (1995).
*****************************************************************************/

#include <stdio.h>
#include "structs.h"

/* Given a contact description, this routine writes the
 *  output in binary format */

int writecbin(counter,
	      aa1_1,cnum1,brk1,at1,atnum1,sec1,
              aa1_2,cnum2,brk2,at2,atnum2,sec2,
	      ctype,dist,
	      OUT,OUTPUT)
int counter;
char aa1_1,aa1_2;
struct brookn brk1,brk2;
char *at1,*at2;
int atnum1,atnum2;
char sec1,sec2;
char ctype;
float dist;
FILE *OUT,*OUTPUT;
{


	   /* Binary output */
	   fwrite(&counter,sizeof(int),1,OUT);

	   /* Atom one info */
	   fwrite(&aa1_1,sizeof(char),1,OUT);
	   fwrite(&cnum1,sizeof(int),1,OUT);
	   fwrite(&brk1.cid,sizeof(char),1,OUT);
	   fwrite(&brk1.n,sizeof(int),1,OUT);
	   fwrite(&brk1.in,sizeof(char),1,OUT);
	   fwrite(&at1[0],sizeof(char),4,OUT);
	   fwrite(&atnum1,sizeof(int),1,OUT);
	   fwrite(&sec1,sizeof(char),1,OUT);

	   /* Atom two info */
	   fwrite(&aa1_2,sizeof(char),1,OUT);
	   fwrite(&cnum2,sizeof(int),1,OUT);
	   fwrite(&brk2.cid,sizeof(char),1,OUT);
	   fwrite(&brk2.n,sizeof(int),1,OUT);
	   fwrite(&brk2.in,sizeof(char),1,OUT);
	   fwrite(&at2[0],sizeof(char),4,OUT);
	   fwrite(&atnum2,sizeof(int),1,OUT);
	   fwrite(&aa1_2,sizeof(char),1,OUT);
	   fwrite(&sec2,sizeof(char),1,OUT);

	   /* Contact info */
	   fwrite(&ctype,sizeof(char),1,OUT);
	   fwrite(&dist,sizeof(float),1,OUT);
	   
}
